- アプリケーション 新しいバージョンでは、アプリケーションの概念が導入されています。1 つのアカウントに複数のアプリケーションを作成でき、それぞれが独立して動作します。各アプリケーションが扱えるのは、自身のタスク、処理データ、モデルだけであり、他のアプリケーションのこれらの情報にはアクセスできません。
- 複数列 field field は候補を持てるようになり、表記ゆれや誤りがあっても、ベンダーや事業部門との照合がしやすくなりました。抽出された field は、候補を含む配列として表現されます。
- URL 内のバージョン更新 URL はバージョンに応じて変更されました。URL 内の v1 は v2 に変更されています。
ファイルの操作
POST https://api-{location-id}.flexicapture.com/v1/file
POST https://api-{location-id}.flexicapture.com/v1/file
- email クエリ パラメーターを削除しました。今後はアカウントのメール アドレスが使用されます
- レスポンスに application (application ID) と expiring (ファイルの有効期限) を追加しました
- レスポンスから、ファイルの検証と削除に関するキー (validated、is_validated、deleted、is_deleted) 、エラー メッセージ (error) 、およびページ数 (pages_count) を削除しました
GET https://api-{location-id}.flexicapture.com/v1/file/{id}/{token}/info
GET https://api-{location-id}.flexicapture.com/v1/file/{id}/{token}/info
- 削除されたファイルのメタデータは取得できなくなりました。現在は 404 レスポンスが返されます
- レスポンスに application (application ID) と expiring (ファイルの有効期限) を追加しました
- レスポンスから、ファイルの検証と削除に関するキー (validated、is_validated、deleted、is_deleted) 、エラー メッセージ (error) 、およびページ数 (pages_count) を削除しました
GET https://api-{location-id}.flexicapture.com/v1/file/{id}/{token}
GET https://api-{location-id}.flexicapture.com/v1/file/{id}/{token}
DELETE https://api-{location-id}.flexicapture.com/v1/file/{id}/{token}
DELETE https://api-{location-id}.flexicapture.com/v1/file/{id}/{token}
ドキュメントの抽出
POST https://api-{location-id}.flexicapture.com/v1/capture/data
POST https://api-{location-id}.flexicapture.com/v1/capture/data
- request body に email キーと label キーを含める必要がなくなりました
- region、export_format、verification_type の各キーは properties 辞書 に移動しました
- 追加されたキー: batch_id, is_realtime_enabled, processing_priority, is_demo, account, application, is_extra_error, documents > data, documents > is_moved, documents > traininglayout_fileid
- 削除されたキー: label, lead_time, started, delivered, deleted, wait_for_action, is_test, region, export_format, verification_type, business_unit, properties > export_format, properties > verification_type
- services array は削除され、files キーは services array から documents array に移動しました
- number は integer ではなく string 型になりました
- progress は integer ではなく浮動小数点数になりました
請求書抽出タスク
POST https://api-{location-id}.flexicapture.com/v1/capture/invoices
POST https://api-{location-id}.flexicapture.com/v1/capture/invoices
- リクエスト本文には、business_unit、email、label の各キーを含めなくなりました
- region、export_format、verification_type の各キーは properties 辞書に移動しました
- 追加されたキー: batch_id, is_realtime_enabled, processing_priority, is_demo, account, application, is_extra_error, documents > data, documents > is_moved, documents > traininglayout_fileid
- 削除されたキー: label, lead_time, started, delivered, deleted, wait_for_action, is_test, region, export_format, verification_type, business_unit, properties > export_format, properties > verification_type
- services 配列は削除され、files キーは services 配列から documents 配列に移動しました
- number は integer ではなく string 型になりました
- progress は integer ではなく浮動小数点数になりました
- region、export_format、verification_type の各キーは properties 辞書に移動しました
GET https://api-{location-id}.flexicapture.com/v1/task/{id}
GET https://api-{location-id}.flexicapture.com/v1/task/{id}
- タスク作成メソッドと同様のキーが追加されました: batch_id, is_realtime_enabled, processing_priority, is_demo, account, application, documents_count, pages_count, is_extra_error, documents > data, documents > is_moved, documents > traininglayout_fileid
- さらにキーが追加されました: 抽出データに関する documents > data > {region, export_format, verification_type, vendor_name, invoice_date, total, currency}、タスクの課金に関する billed, is_billed
- 削除されたキー: label, lead_time, deleted, wait_for_action, is_test, region, export_format, verification_type, business_unit,
- services 配列は削除され、files キーは services 配列から documents 配列に移動しました
- number は integer ではなく string 型になりました
- progress は integer ではなく浮動小数点数になりました
- region、export_format、verification_type の各キーは properties 辞書に移動しました
DELETE https://api-{location-id}.flexicapture.com/v1/task/{id}
DELETE https://api-{location-id}.flexicapture.com/v1/task/{id}
データセットの操作
POST https://api-{location-id}.flexicapture.com/v1/dataset/businessunits
POST https://api-{location-id}.flexicapture.com/v1/dataset/businessunits
PUT https://api-{location-id}.flexicapture.com/v1/dataset/businessunits
PUT https://api-{location-id}.flexicapture.com/v1/dataset/businessunits
GET https://api-{location-id}.flexicapture.com/v1/dataset/businessunits/{region}
GET https://api-{location-id}.flexicapture.com/v1/dataset/businessunits/{region}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/businessunits/{region}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/businessunits/{region}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/businessunit/{region}/{externalId}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/businessunit/{region}/{externalId}
POST https://api-{location-id}.flexicapture.com/v1/dataset/vendors
POST https://api-{location-id}.flexicapture.com/v1/dataset/vendors
PUT https://api-{location-id}.flexicapture.com/v1/dataset/vendors
PUT https://api-{location-id}.flexicapture.com/v1/dataset/vendors
GET https://api-{location-id}.flexicapture.com/v1/dataset/vendors/{region}
GET https://api-{location-id}.flexicapture.com/v1/dataset/vendors/{region}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/vendors/{region}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/vendors/{region}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/vendors/{region}/{externalId}
DELETE https://api-{location-id}.flexicapture.com/v1/dataset/vendors/{region}/{externalId}
データ抽出モデルの学習
POST https://api-{location-id}.flexicapture.com/v1/data/train
POST https://api-{location-id}.flexicapture.com/v1/data/train
PUT https://api-{location-id}.flexicapture.com/v1/data/train
PUT https://api-{location-id}.flexicapture.com/v1/data/train
GET https://api-{location-id}.flexicapture.com/v1/data/{taskId}/{fileId}
GET https://api-{location-id}.flexicapture.com/v1/data/{taskId}/{fileId}
POST https://api-{location-id}.flexicapture.com/v1/data/train/station/{taskId}
POST https://api-{location-id}.flexicapture.com/v1/data/train/station/{taskId}
PUT https://api-{location-id}.flexicapture.com/v1/data/train/station/{taskId}
PUT https://api-{location-id}.flexicapture.com/v1/data/train/station/{taskId}
GET https://api-{location-id}.flexicapture.com/v1/data/batch/{region}
GET https://api-{location-id}.flexicapture.com/v1/data/batch/{region}
